Update royalty for contract

This guide describes how to add/update the royalties for an NFT contract.

Update royalty for NFT contract

This endpoint is used to add/update the royalties for an NFT contract. You can add a royalty recipient wallet address and specify the royalty percentage. (only for contracts created with the NFT v3)

Request Endpoint: reference

 PUT /api/v3/erc1155/contracts/{chain}/{contractAddress}/royalties

Example Request

 PUT /api/v3/erc1155/contracts/MATIC/0x44260f782c8ae2cf62e31051920d206d19b475e5/royalties

Request Body

ParameterParam TypeDescriptionData TypeRequired
chainPathThis is the blockchain of the NFT contract.String✅
contractAddressPathThe NFT contract address whose royalties you wish to update.String✅
royaltiesRequest BodyThe royalties object includes the royalty recipient's wallet address and percentage.Object✅
royalties.receiverRequest BodyThe recipient wallet address where the royalties will be transferred.String✅
royalties.percentageRequest BodyThe percentage royalties that will be paid out automatically with each succeeding sale of an NFT in the secondary market. The royalty percentage can only contain up to 2 decimals.Number
>= 0 <= 100
✅
{
    "royalties": {
        "receiver": "0x7312750DF4d2057b758a61C7017729c6Ec9bB3E9",
        "percentage": "2.5"
    }
}

Response Body

👍

You can check the transaction hash in a blockchain explorer to verify that the royalty of the NFT contract was updated successfully.

{
    "success": true,
    "result": {
        "transactionHash": "0x18642e49b6a677d0c431c65d99760e74d0d4393376530c2f0ebbf9881e9f7586"
    }
}

Did this page help you?